nuID2IlluminaID {lumi} | R Documentation

## Matching nuIDs to Illumina IDs based on Illumina ID mapping library

### Description

Matching nuIDs to Illumina IDs based on Illumina ID mapping library

### Usage

    nuID2IlluminaID(nuID, lib.mapping=NULL, species = c("Human", "Mouse", "Rat", "Unknown"), idType=c('All', 'Probe', 'Gene', 'Accession', 'Search_key', 'Symbol'), chipVersion = NULL, ...)

### Arguments

`nuID` | a vector of nuIDs
`lib.mapping` | the ID mapping library. If it is provided, the parameter "species" will be ignored.
`species` | the species of the chip designed for. If users do not know it, it can be set as "Unknown".
`idType` | the Illumina ID type
`chipVersion` | chipVersion information returned by function `getChipInfo`
`...` | other parameters of `getChipInfo`

### Details

The parameter "idType" represents different types of Illumina IDs. It returns the entire table when idType = "All". When idType = 'Probe', it returns "ProbeId" or "Probe_Id". When idType = 'Gene', it returns "Target" or "ILMN_Gene" IDs.

This function basically returned the "idMapping" item returned by function `getChipInfo`. If nuID is NULL and chipVersion is provided, it will return all mapping information of the chip.

### Value

The mapping information from nuID to Illumina ID. It will be a matrix with each column corresponding to one matched manifest file when parameter "returnAllMatches" is TRUE. In this case, the columns are sorted from the best match to worst.

### Author(s)

Pan Du

### See Also

`getChipInfo`, `IlluminaID2nuID`

### Examples

            ## load example data
            data(example.lumi)
            nuIDs <- featureNames(example.lumi)
            if (require(lumiHumanIDMapping)) {
                    illuminaID <- nuID2IlluminaID(nuIDs[1:5], lib='lumiHumanIDMapping')
                    illuminaID
            }

[Package lumi version 1.10.2 Index]